%define name gnotero
%define version 0.21
%define release %mkrel 2

Summary:        Gnotero - Quick access to your Zotero References
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Networking/WWW
License:        GPLv3
URL:            http://www.cs.vu.nl/~cogsci/cogpsy/smathot/gnotero.html
Source:         http://www.cs.vu.nl/~cogsci/cogpsy/smathot/gnotero.html/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel 
Requires:       python >= 2.6
Requires:       pygtk2.0
BuildArch:      noarch
Obsoletes: %name < %version

%description
Gnotero is a Python Gtk application which provides access to your Zotero references. 
Zotero is an excellent open source reference manager, but it lacks a simple and direct 
way to access your references at the click of a button. If a PDF file is attached to a 
reference you can open it directly from within Gnotero.

Note: Gnotero requires a recent version of Zotero (the 2.0 series).

%prep
%setup -q 


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}


%post
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root,-)
%doc COPYING PKG-INFO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/*
%{py_sitedir}/*

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.21-2pclos2010
- Update

* Sun Feb 07 2010 slick50 <lxgator@gmail.com> 0.21-1pclos2010
- initial build
